- Extending Qt Creator Manual
- QtCreator
- IOptionsPageWidget
- Extending Qt Creator Manual 13.0.0

# IOptionsPageWidget Class

class Core::IOptionsPageWidget

The IOptionsPageWidget class is used to standardize the interaction between an IOptionsPage and its widget. More...

Header: | #include <coreplugin/dialogs/ioptionspage.h>

- List of all members, including inherited members

## Public Functions

void | setOnApply(const std::function<void ()> &func)
void | setOnFinish(const std::function<void ()> &func)

## Protected Functions

virtual void | apply()
virtual void | finish()

## Detailed Description

Use setOnApply() and setOnFinish() to set functions that are called when the IOptionsPage is applied and finished respectively.

## Member Function Documentation

### `[virtual protected]` void IOptionsPageWidget::apply()

Calls the apply function, if set.

See also setOnApply.

### `[virtual protected]` void IOptionsPageWidget::finish()

Calls the finish function, if set.

See also setOnFinish.

### void IOptionsPageWidget::setOnApply(const std::function<void ()> &func)

Sets the function that is called by default on apply to func.

### void IOptionsPageWidget::setOnFinish(const std::function<void ()> &func)

Sets the function that is called by default on finish to func.